<?xml version="1.0" encoding="UTF-8"?>
<book version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      xmlns:svg="http://www.w3.org/2000/svg"
      xmlns:mml="http://www.w3.org/1998/Math/MathML"
      xmlns:html="http://www.w3.org/1999/xhtml"
      xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>J2EE Connector Programmer's Guide</title>

    <authorgroup>
      <author>
        <orgname>JOnAS Team</orgname>
      </author>

      <author>
        <personname><surname>HARDESTY</surname><firstname>Eric</firstname></personname>
      </author>
    </authorgroup>

    <legalnotice>
      <para>This work is licensed under the Creative Commons
      Attribution-ShareAlike License. To view a copy of this license,visit
      <link
      xlink:href="http://creativecommons.org/licenses/by-sa/2.0/deed.en">http://creativecommons.org/licenses/by-sa/2.0/deed.en</link>
      or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford,
      California 94305, USA.</para>
    </legalnotice>

    <copyright>
      <year>2008-2009</year>

      <holder>OW2 Consortium</holder>
    </copyright>

    <date>March 2009</date>
  </info>

  <preface xml:id="connector.preface">
    <para>This guide is provided for advanced JOnAS users concerned with EAI
    (Enterprise Application Integration) and using the J2EE Connector
    Architecture principles (refer to <xref
    linkend="resource.connector.principles" /> for an introduction to the
    connectors). The target audience for this guide is the Resource Adapter
    deployer and programmer. It describes the JOnAS specific deployment file (
    jonas-ra.xml ) and the sample code to access deployed RARs.</para>
  </preface>

  <chapter xml:id="connector.pg">
    <info>
      <title>Using a J2EE Connector</title>
    </info>

    <section xml:id="connector.Princip">
      <info>
        <title>Principles</title>
      </info>

      <para>Resource Adapters are packaged for deployment in a standard Java
      programming language Archive file called a rar file (Resource ARchive),
      which is described in the J2EE Connector Architecture
      specification.</para>

      <para>The standard method for creating the jonas-ra.xml file is to use
      the <link xlink:href="command_guide.html#commands.raconfig">RAConfig command</link> </para>
    </section>

    <xi:include href="services/resource/jonas-ra.xml" />

    <xi:include href="services/resource/connector_packaging.xml" />

    <xi:include href="services/resource/connector_using.xml" />
  </chapter>

  <chapter>
    <info>
      <title>Exemples of Resource Adapters</title>
    </info>

    <xi:include href="ra/JDBCRA.xml" />

    <xi:include href="ra/JMSRA.xml" />
  </chapter>
 <!--
  <xi:include href="commands/configuration_raconfig.xml" />
  -->
  <appendix>
    <info>
      <title>Appendix</title>
    </info>

    <xi:include href="services/resource/config.xml" />

    <xi:include href="services/resource/connector_principles.xml" />
  </appendix>
</book>
